GDB (xrefs)

Functions
tui-stack.h File Reference

Go to the source code of this file.

## Functions
void | tui_update_locator_fullname (const char *)
void | tui_show_locator_content (void)
int | tui_show_frame_info (struct frame_info *)

## Function Documentation

## ◆ tui_show_frame_info()

int tui_show_frame_info | ( | struct frame_info * |  | ) |

Definition at line 357 of file tui-stack.c.

References _, tui_line_or_address::addr, tui_locator_element::addr, EMPTY_SOURCE_PROMPT, find_frame_sal(), find_pc_partial_function(), tui_win_info::generic, get_frame_arch(), get_frame_pc(), get_frame_pc_if_available(), symtab_and_line::line, tui_line_or_address::line_no, tui_locator_element::line_no, tui_line_or_address::loa, LOA_ADDRESS, LOA_LINE, tui_which_element::locator, symtab_and_line::symtab, symtab_to_fullname(), tui_addr_is_displayed(), tui_clear_source_content(), TUI_DISASM_WIN, tui_get_function_from_frame(), tui_get_low_disassembly_address(), tui_line_is_displayed(), tui_locator_win_info_ptr(), tui_set_is_exec_point_at(), tui_set_locator_info(), tui_show_locator_content(), tui_source_is_displayed(), tui_source_windows(), TUI_SRC_WIN, tui_update_exec_info(), tui_update_source_window(), tui_line_or_address::u, and tui_gen_win_info::viewport_height.

Referenced by tui_enable(), tui_inferior_exit(), and tui_refresh_frame_and_register_information().

## ◆ tui_show_locator_content()

void tui_show_locator_content | ( | void |  | ) |

Definition at line 242 of file tui-stack.c.

References tui_gen_win_info::content, tui_gen_win_info::content_in_use, tui_gen_win_info::handle, tui_which_element::locator, string, tui_locator_win_info_ptr(), tui_make_status_line(), tui_refresh_win(), tui_win_element::which_element, and xfree().

Referenced by make_visible_with_new_height(), show_data(), show_source_disasm_command(), show_source_or_disasm_and_command(), tui_refresh_all_win(), tui_set_key_mode(), tui_show_frame_info(), and tui_update_locator_fullname().

## ◆ tui_update_locator_fullname()

void tui_update_locator_fullname | ( | const char * |  | ) |

Definition at line 344 of file tui-stack.c.

References tui_set_locator_fullname(), and tui_show_locator_content().

Referenced by tui_display_main(), tui_show_disassem_and_update_source(), and tui_show_source().